归档 2012年3月30日

最后更新于 .

今天说试试当前项目对于PHP 5.4的兼容性。

安装非常顺利,编译参数跟5.3基本一样,只是去掉了一些没用的。

安装完毕后,xdebug和memcache扩展没有被加载。

中途排错过程不说了,为了让大家少走弯路,直接说结果。

首先,so目录改变了,因为API版本变了,最新的目录是:

/usr/lib/php/extensions/no-debug-non-zts-20100525

所以需要重新编译所有的so,他会自动编译到该目录。

另外,xdebug需要最低2.2.0RC1,memcache需要最低3.0.6

需要先phpize,然后再安装。

以上步骤均为Mac下操作通过,Linux下理论一致。Windows用户速速退下。

昨天

2012年3月20日

明天

2012年4月23日

归档